import java.util.Collection;
import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }
  public Project createProject(String name, int id) {
    Project emp = new Project();
    emp.setId(id);
    emp.setName(name);
    em.persist(emp);
    return emp;
  }
  
  
  public Professor createProfessor(String country, int id, String name) {
    Professor emp = new Professor();
    emp.setId(id);
    emp.setName(name);
    em.persist(emp);

    return emp;
  }

  public void addProfessorProject(int id, int projId) {
    Professor emp = findProfessor(id);
    Project proj = em.find(Project.class, projId);
    ProjectAssignment assign = new ProjectAssignment(emp, proj);

    em.persist(assign);
    emp.getAssignments().add(assign);
    proj.getAssignments().add(assign);
  }

  public Professor findProfessor(int id) {
    return em.find(Professor.class, id);
  }

  public Collection<Professor> findAllProfessors() {
    Query query = em.createQuery("SELECT e FROM Professor e");
    return (Collection<Professor>) query.getResultList();
  }

  public Collection<Project> findAllProjects() {
    Query query = em.createQuery("SELECT p FROM Project p");
    return (Collection<Project>) query.getResultList();
  }
}